Bug 65643 - RFE (Package Listings Too Long)
RFE (Package Listings Too Long)
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-29 08:39 EDT by ezekiel das
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 17:52:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ezekiel das 2002-05-29 08:39:25 EDT
Description of Problem: Package Listings too long (and ambiguous) in RedHat Update  
  
  
Version-Release number of selected component (if applicable): RH 7.3 
  
  
How Reproducible: run up2date, RHN Alert Agent OR BEST EXAMPLE is Package List in Channel RedHat 7.3 
on rhn.redhat.com 
 
Steps to Reproduce:  
1.   https://rhn.redhat.com/network/channel/channel_packages.pxt?cid=49 
2.   
3.   
  
Actual Results:  
  
  
Expected Results:  
  
  
Additional Information:  
 
Webmin has something close to what I'm describing below. Goto Cluster -> Cluster Software Packages -> 
[someserver] and generate a package list. You'll see the packages are grouped into the following 
categories: 
 
Amusements 
 - Games 
 - Graphics 
Applications 
 - Archiving 
 - CPAN 
 - Communications 
 
[...] 
 
This grouping is similar to if not exactly what you see in the initial install of 7.3 (and previous 
revs). If I choose anything in this heirarchy, top level, 2nd level, or individual packages then it'd 
be much easier to manage the system. The alphabetical listing of RPMS is extremely cumbersome. For 
example, if I need to install mysql (and I'm just lazy or need to get the job done quickly), I'd want 
the server, client, dev, and whatever else is associated or suggested to accompany this. Another 
example is Apache, why not suggest also php, perl mods, lynx, etc.  
 
BUT THE MAIN THING IS PACKAGE GROUPINGS.  
 
--- 
From: 	rhn-feedback+1146921-18087@rhn.redhat.com  
Reply-To: 	rhn-feedback+1146921-18087@rhn.redhat.com  
To: 	Ezekiel Das <zeek@sparklehouse.com>  
Subject: 	Re: package groupings  
Date: 	28 May 2002 19:13:52 -0400	  
Ezekiel Das <zeek@sparklehouse.com> writes:  
  
>   
> Greetings,  
>   
> I did a recent install and found that I had missed a few things (e.g.  
> mysql, perl modules, etc.). Rather than choosing specific RPMs to install  
> I'd rather do this by groupings like those which were offered during the  
> initial installation. A large list of RPMs can be a bit overwhelming.   
  
This is a good suggestion, which I've forwarded on to the rest of the team. You may also wish to make  
a "request for enhancement" at  
  
  http://makeashorterlink.com/?F2E0524F  
  
Please put "[RFE]" in the summary line.  
  
Thank you,  
Dave Cook  
RHN Team
Comment 1 Adrian Likins 2003-01-20 17:52:53 EST
maybe for the next release...

Note You need to log in before you can comment on or make changes to this bug.